package com.cim.idm.wmspackage.productshiprequest.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductShipRequestDetailKey extends FieldAccessor implements KeyInfo {
	
	private String siteName;
//	private String invoiceNo;
//	private String invoiceDetailNo;
	private String shipRequestName;
	private String shipRequestDetailName;
	
	public ProductShipRequestDetailKey(){}
	
	public ProductShipRequestDetailKey(String siteName, String shipRequestName,
			String shipRequestDetailName) {
		this.siteName = siteName;
		this.shipRequestName = shipRequestName;
		this.shipRequestDetailName = shipRequestDetailName;
	}
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
//	public String getInvoiceNo() {
//		return invoiceNo;
//	}
//	public void setInvoiceNo(String invoiceNo) {
//		this.invoiceNo = invoiceNo;
//	}
//	public String getInvoiceDetailNo() {
//		return invoiceDetailNo;
//	}
//	public void setInvoiceDetailNo(String invoiceDetailNo) {
//		this.invoiceDetailNo = invoiceDetailNo;
//	}

	public String getShipRequestName() {
		return shipRequestName;
	}

	public void setShipRequestName(String shipRequestName) {
		this.shipRequestName = shipRequestName;
	}

	public String getShipRequestDetailName() {
		return shipRequestDetailName;
	}

	public void setShipRequestDetailName(String shipRequestDetailName) {
		this.shipRequestDetailName = shipRequestDetailName;
	}
	
	
}
